/*
 * Copyright 2025 omozegieaziegbe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.jcg;

/**
 *
 * @author omozegieaziegbe
 */
import dev.langchain4j.service.SystemMessage;
import io.micronaut.langchain4j.annotation.AiService;

@AiService
public interface TravelGuide {

    @SystemMessage("""
        You are a travel expert. Provide a short travel guide for the given destination 
        in at most 3 sentences.
        """)
    String recommendTravel(String destination);
}
