package com.jcg;

import io.micronaut.test.extensions.junit5.annotation.MicronautTest;
import static org.junit.jupiter.api.Assertions.assertNotNull;
import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@MicronautTest
class MicronautAiTest {

    private static final Logger logger = LoggerFactory.getLogger(MicronautAiTest.class);
    
    @Test
    void testAiService(MovieRecommendationService movieRecommendationService) {
        String result = movieRecommendationService.recommendMovie("Recommend a sci-fi movie.");
        logger.info("AI Response: {}", result);
        assertNotNull(result);
    }

}
